Page 1 of 2

Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 15 Mar 2014 01:30
by karesmakro
Copfilter 2.1.92beta2 für IPCop 2.1.x

In der Copfilter 2.1.92beta2 gibt es einige neue Updates und Fehlerbehebungen.

Für die zukünftigen IPCop/Copfilter Neuinstallationen ist es wichtig, ein eigenes Verzeichnis für die Copfilter Installation in /var/log zu erstellen. z.B. mkdir /var/log/install von dort muss das Copfilter Packet entpackt und installiert werden. Ansonsten riskiert man ein vollaufen der Root Partition
(jegliches Kommentar verkneife ich mir)

Code: Select all

mkdir /var/log/installer
cd /var/log/installer
copy or wget the copfilter release to that folder

Code: Select all

tar xzf copfilter-2.1.92beta2.tgz
cd copfilter-2.1.92beta2
./install
Es steht ausserdem eine "addon-friendly" IPCop 2.1.1 Installations CD auf SF bereit: https://sourceforge.net/projects/copfil ... IPCop-ISO/

Changelog:
  • - sqlite 3.8.3.1
    - altermime-3.8.3.1
    - c-icap 0.3.2
    - dcc 1.3.154
    - db-5.3.28
    - monit 5.6
    - perl modules
    - Spamassassin 3.4.0
    - .....
die vollständige Changelog gibt es auf http://www.copfilter.org/pg64

Bitte Fehler berichten!

Download: http://www.copfilter.org/pg64
oder http://sourceforge.net/projects/copfilt ... 2beta2.tgz

Größten Dank an ShelbyGT500 und FischerM für ihre Unterstützung

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 16 Mar 2014 11:06
by ron
Hallo,

ich habe Probleme beim Versand von Copfilter Status/Update Mails, unabhängig welche Secure-SMTP-Authentifizierung ich wähle.

invalid SSL_version specified at /usr/lib/perl5/site_perl/5.14.2/IO/Socket/SSL.pm line 359

Gruß
Ron

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 16 Mar 2014 11:29
by karesmakro
Morgen Ron,

es gibt Probleme mit dem Perl Modul IO::Socket::SSL und sendEmail. Nachdem ich das Problem auch hatte, habe ich in die setup_util einen Workaround mit eingebaut, der das beheben sollte:

Code: Select all

/root/copfilter/setup_util -SF

hier sind beide Optionen :

Code: Select all

-SF, --sEmailfix 	SSL sendEmail fix
-SR, --sEmailrest 	SSL sendEmail restore
Es gab bei den Testversionen bisher keine Rückmeldungen über Probleme mit den Updatebenachrichtigungen, deshalb wurde der Workaround nicht fest integeriert ...

LG. Kare

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 16 Mar 2014 11:44
by ron
Hallo Kare,

damit funktioniert es, Danke.

Gruß
Ron

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 05 Apr 2014 12:40
by ron
Hallo Kare,

gibt es für IPCOP 2.1.3 ein gepatchtes squid 3.3.12 ?

Gruß
Ron

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 05 Apr 2014 15:14
by karesmakro
Hi ron

ja, es gibt eine Version:
https://www.it-connect-unix.de/copfilte ... c-icap.tgz
md5sum: 5c24ccf45496ef88e8638b32b004a720

Ich werde heute Abend noch ein Update vorbereiten!

LG.

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 05 Apr 2014 16:34
by ron
Hallo Kare,

funktioniert Danke. Da bin ich mal auf das Update gespannt.

Gruß
Ron

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 08 Apr 2014 19:55
by ron
Hallo Kare,

seit dem IPCOP 2.1.4 update lassen sich die Copfilter Seiten im Router nicht mehr aufrufen.

Code: Select all

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@localhost and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log
.

Code: Select all

Unable to read file /ethernet/settings at /usr/lib/ipcop/general-functions.pl line 124., referer: https://router:8443/cgi-bin/logconfig.cgi
Premature end of script headers: copfilter_status.cgi, referer: https://router:8443/cgi-bin/logconfig.cgi

Gruß
Ron

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 09 Apr 2014 20:05
by FischerM

Re: Copfilter 2.1.92beta2 für IPCop 2.1.x

Posted: 10 Apr 2014 00:30
by karesmakro